%define rtpname libosp3

Summary: SGML and XML parsing tools.
Name: opensp
Version: 1.5
Release: 6.2%{?dist}
URL: http://openjade.sourceforge.net/
Source0: http://download.sourceforge.net/openjade/OpenSP-%{version}.tar.gz
Patch0: OpenSP-1.5-override.patch
Patch3: opensp-1.5-gcc33.patch
Patch4: OpenSP-1.5.1-wideCharMax.patch
License: distributable
Group: Applications/Text
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gcc-c++
BuildRequires: autoconf, automake, gettext
Requires: sgml-common >= 0.6.3-17_11.at

%description
This package is a collection of SGML/XML tools called OpenSP. It is a fork from
James Clark's SP suite. These tools are used to parse, validate, and normalize
SGML and XML files.  

%package -n %{rtpname}
Summary: SGML and XML parsing tools.
Group: System Environment/Libraries

%description -n %{rtpname}
This package is a collection of SGML/XML tools called OpenSP. It is a fork from
James Clark's SP suite. These tools are used to parse, validate, and normalize
SGML and XML files.

%package devel
Summary: Libraries and include files for developing OpenSP applications.
Group: Development/Libraries
Requires: %{rtpname} = %{version}

%description devel 
This contains include files and libraries for OpenSP.
This C++ library contains entity management functions, parsing functions,
and other functions useful for SGML/XML/DSSSL development.

%prep
%setup -q -n OpenSP-%{version}
%patch0 -p1 -b .override
%patch3 -p1 -b .gcc33
%patch4 -p1 -b .widecharmax

%build
mkdir gendocs
%configure --enable-http --enable-xml-messages \
 --enable-default-catalog=%{rootcat} \
 --enable-default-search-path=%{sgmlbase} \
 pkgdatadir=%{sgmlbase}/OpenSP-%{version} \
 docdir=gendocs

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall \
	pkgdatadir=%{?buildroot:%{buildroot}}%{sgmlbase}/OpenSP-%{version} \
	docdir=gendocs
ln -s OpenSP-%{version} %{buildroot}%{sgmlbase}/OpenSP

# Create symlinks (not for sx, conflicts with lrzsz).
for file in nsgmls sgmlnorm spam spcat spent; do
  ln -s o$file %{?buildroot:%{buildroot}}%{_bindir}/$file
done
ln -s osx %{?buildroot:%{buildroot}}%{_bindir}/sgml2xml
ln -s libosp.so %{?buildroot:%{buildroot}}%{_libdir}/libsp.so

mkdir -p %{buildroot}%{sgmlcatdir}
catalog=%{buildroot}%{sgmlcatdir}/OpenSP-%{version}.cat; touch $catalog
line='CATALOG "%{sgmlbase}/OpenSP-%{version}/catalog"'
grep "^$line$" $catalog > /dev/null || echo "$line" >> $catalog

catalog=%{buildroot}%{sgmlcatdir}/OpenSP.cat; touch $catalog
line='CATALOG "%{sgmlbase}/OpenSP/catalog"'
grep "^$line$" $catalog > /dev/null || echo "$line" >> $catalog

%clean
rm -rf %{buildroot}

%post -n %{rtpname} -p /sbin/ldconfig

%postun -n %{rtpname} -p /sbin/ldconfig

%post
line='CATALOG.*%{sgmlcatdir}/OpenSP.cat'
grep -v "$line" %{rootcat} > %{rootcat}.$$
line='-- CATALOG "%{sgmlcatdir}/OpenSP.cat" --'
echo "$line" >> %{rootcat}.$$
mv -f %{rootcat}.$$ %{rootcat}

%postun
if [ $1 = 0 ]; then
  line='CATALOG.*%{sgmlcatdir}/OpenSP.cat'
  grep -v "$line" %{rootcat} > %{rootcat}.$$
  mv -f %{rootcat}.$$ %{rootcat}
fi

%files
%defattr(-,root,root,-)
%doc NEWS README* ChangeLog
%doc gendocs/OpenSP/*
%config %{sgmlcatdir}/OpenSP-%{version}.cat
%config %{sgmlcatdir}/OpenSP.cat
%{_bindir}/*
%{sgmlbase}/OpenSP-%{version}
%{sgmlbase}/OpenSP
%{_mandir}/man1/*

%files -n %{rtpname}
%defattr(-,root,root,-)
%{_libdir}/libosp.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Fri Oct 24 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Sync with rawhide.

* Sun Mar 16 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Make "OVERRIDE YES" the default.

* Sat Mar 15 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Make symlink withot version in sgml base.

* Wed Mar 12 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Rewritten specfile.

* Wed Feb 21 2001 Terje Bless <link@tss.no>
- Fixed name of l10n message files ("OpenSP" -> "sp").

* Tue Feb 20 2001 Terje Bless <link@tss.no>
- Tweaked strings, moved to Sourceforge.

